- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Basics::ICountedObject Interface Reference

Inheritance diagram for Exponent::Basics::ICountedObject:

List of all members.

## Detailed Description

Interface to a counted object.

See also:
  CCountedObject

Date:
  12/12/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  ICountedObject.hpp,v 1.6 2007/02/08 21:06:44 paul Exp

Definition at line 34 of file ICountedObject.hpp.

## Public Member Functions

- virtual void dereference ()=0
- virtual const CClass & getObjectClass () const=0
- virtual void getObjectDescription (char *string, const long size) const =0
- virtual long getReferenceCount () const=0
- ICountedObject ()
- virtual void referenced ()=0
- virtual ~ICountedObject ()

## Constructor & Destructor Documentation

Exponent::Basics::ICountedObject::ICountedObject | ( |  | ) | `[inline]`

Construction

Definition at line 46 of file ICountedObject.hpp.

virtual Exponent::Basics::ICountedObject::~ICountedObject | ( |  | ) | `[inline, virtual]`

Destruction

Definition at line 51 of file ICountedObject.hpp.

## Member Function Documentation

virtual void Exponent::Basics::ICountedObject::dereference | ( |  | ) | `[pure virtual]`

Decrement the reference count. Object is deleted if reference count is <= 0

Implemented in Exponent::Basics::CCountedObject, and Exponent::GUI::Graphics::CBaseImage.

virtual const CClass& Exponent::Basics::ICountedObject::getObjectClass | ( |  | ) | const`[pure virtual]`

Get the class of this object

Return values:

  | const | CClass& The class of the object

virtual void Exponent::Basics::ICountedObject::getObjectDescription | ( | char * | string,
|  | const long | size |
| ) |  |  | const`[pure virtual]`

Get a description of the object

Parameters:

  | string | On return is filled with the description
  | size | The size of the stirng

Implemented in Exponent::Midi::CMidiEvent, Exponent::Midi::CMidiEventList, Exponent::Basics::CBool, Exponent::Basics::CCountedObject, Exponent::Basics::CDouble, Exponent::Basics::CFloat, Exponent::Basics::CLong, Exponent::Basics::CString, Exponent::MathTools::CPoint, Exponent::GUI::Basics::CAlphaColour, Exponent::GUI::Basics::CColour, and Exponent::GUI::Graphics::CBaseImage.

virtual long Exponent::Basics::ICountedObject::getReferenceCount | ( |  | ) | const`[pure virtual]`

Get the reference count

Return values:

  | long | The reference count

Implemented in Exponent::Basics::CCountedObject, and Exponent::GUI::Graphics::CBaseImage.

virtual void Exponent::Basics::ICountedObject::referenced | ( |  | ) | `[pure virtual]`

Increment the reference count

Implemented in Exponent::Basics::CCountedObject, and Exponent::GUI::Graphics::CBaseImage.